# AwsCredentials

API Documentation: | `AwsCredentials`

Note: This class is incubating and may change in a future version of Gradle.

Represents credentials used to authenticate with Amazon Web Services.

### Properties

Property | Description
`accessKey` | Incubating The access key to use to authenticate with AWS.
`secretKey` | Incubating The secret key to use to authenticate with AWS.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `String` `accessKey`

Note: This property is incubating and may change in a future version of Gradle.

The access key to use to authenticate with AWS.

#### `String` `secretKey`

Note: This property is incubating and may change in a future version of Gradle.

The secret key to use to authenticate with AWS.